Vulnerabilities (CVE)

Filtered by vendor Sonarsource Subscribe
Filtered by product Sonarqube
Total 5 CVE
CVE Vendors Products Updated CVSS v2 CVSS v3
CVE-2020-27986 1 Sonarsource 1 Sonarqube 2024-07-03 5.0 MEDIUM 7.5 HIGH
SonarQube 8.4.2.36762 allows remote attackers to discover cleartext SMTP, SVN, and GitLab credentials via the api/settings/values URI. NOTE: reportedly, the vendor's position for SMTP and SVN is "it is the administrator's responsibility to configure it.
CVE-2020-28002 1 Sonarsource 1 Sonarqube 2023-12-10 5.0 MEDIUM 5.3 MEDIUM
In SonarQube 8.4.2.36762, an external attacker can achieve authentication bypass through SonarScanner. With an empty value for the -D sonar.login option, anonymous authentication is forced. This allows creating and overwriting public and private projects via the /api/ce/submit endpoint.
CVE-2019-17579 1 Sonarsource 1 Sonarqube 2023-12-10 4.3 MEDIUM 6.1 MEDIUM
SonarSource SonarQube before 7.8 has XSS in project links on account/projects.
CVE-2018-19413 1 Sonarsource 1 Sonarqube 2023-12-10 4.0 MEDIUM 4.3 MEDIUM
A vulnerability in the API of SonarSource SonarQube before 7.4 could allow an authenticated user to discover sensitive information such as valid user-account logins in the web application. The vulnerability occurs because of improperly configured access controls that cause the API to return the externalIdentity field to non-administrator users. The attacker could use this information in subsequent attacks against the system.
CVE-2013-5676 1 Sonarsource 2 Jenkins Plugin, Sonarqube 2023-12-10 4.0 MEDIUM N/A
The Jenkins Plugin for SonarQube 3.7 and earlier allows remote authenticated users to obtain sensitive information (cleartext passwords) by reading the value in the sonar.sonarPassword parameter from jenkins/configure.